using System;
namespace symmetry
{
	
	/// <summary> Interface for numerical integration routines. These routines are used
	/// to update the position and velocity of items in response to forces.
	/// 
	/// </summary>
	/// <version>  1.0
	/// </version>
	/// <author>  <a href="http://jheer.org">Jeffrey Heer</a> prefuse(AT)jheer.org
	/// </author>
	public interface Integrator
		{
			
			void  integrate(ForceSimulator sim, long timestep);
		} // end of interface Integrator
}